bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#5735: New curses/termcap requirement for linking Emacs, but configur


From: Eli Zaretskii
Subject: bug#5735: New curses/termcap requirement for linking Emacs, but configure check missing.
Date: Thu, 18 Mar 2010 05:24:11 -0400

> Date: Thu, 18 Mar 2010 08:44:02 +0100
> From: Jan Djärv <address@hidden>
> Cc: 
> 
> Since a couple of days ago may be a week), Emacs requires libncurses
> development files (or similar termcap/terminfo) to link.  It didn't need that
> about a week ago.

I guess that's because of this change:

  99649: Eli Zaretskii 2010-03-12 Don't use termcap.c on Posix platforms

I'm sorry for the breakage this caused.  In my defense I can only say
that it "worked for me" on GNU/Linux.  At the time this issue was
discussed, I published the list of changes needed to stop using
termcap.c on Posix platforms, based on what's been said during the
discussion, see

  http://lists.gnu.org/archive/html/emacs-devel/2009-12/msg00276.html

No one said anything else should be done.

Feel free to add the missing pieces to the configury to fix this.






reply via email to

[Prev in Thread] Current Thread [Next in Thread]